echo "setting /etc/fstab for bayeosserver and gateway"
if [ -z "$(grep /var/log /etc/fstab)" ]; then
	echo "adding line for /var/log to /etc/fstab"
	echo "tmpfs    /var/log    tmpfs    defaults,noatime,nosuid,mode=0755,size=50m    0 0" >> /etc/fstab
else
	echo "line for /var/log is already in /etc/fstab"
fi

if [ -z "$(grep /tmp /etc/fstab)" ]; then
	echo "adding line for /tmp to /etc/fstab"
	echo "tmpfs    /tmp    tmpfs    defaults,noatime,nosuid,size=50m    0 0" >> /etc/fstab
else
	echo "line for /tmp is already in /etc/fstab"
fi

if [ -z "$(grep /var/tmp /etc/fstab)" ]; then
	echo "adding line for /var/tmp to /etc/fstab"
	echo "tmpfs    /var/tmp    tmpfs    defaults,noatime,nosuid,size=30m    0 0" >> /etc/fstab
else
	echo "line for /var/tmp is already in /etc/fstab"
fi

if [ -z "$(grep /var/lib/postgresql/9.1/main/pg_stat_tmp /etc/fstab)" ]; then
	echo "adding line for /tmp to /etc/fstab"
	echo "tmpfs	/var/lib/postgresql/9.1/main/pg_stat_tmp	tmpfs	defaults,noatime,nosuid,mode=0700,uid=postgres,gid=postgres,size=50m    0 0" >> /etc/fstab
else
	echo "line for /var/lib/postgresql/9.1/main/pg_stat_tmp is already in /etc/fstab"
fi

if [ -z "$(grep /var/lib/php5 /etc/fstab)" ]; then
	echo "adding line for /var/lib/php5 to /etc/fstab"
	echo "tmpfs   /var/lib/php5       tmpfs   defaults,noatime,nosuid,mode=0700,uid=www-data,gid=www-data,size=20m    0 0" >> /etc/fstab
else
	echo "line for /var/lib/php5 is already in /etc/fstab"
fi
echo "reboot to enable tmp file systems"

